
Redmine - Feature #883

Add suport for mobile devices (CSS)

2008-03-18 00:00 - Maxim Krušina

Status: Closed Start date: 2008-03-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Add basic support for mobile devices. This can be done easily by creating special version of CSS dedicated for mobile devices like

phones, PDAs, etc.

When on-the-go (stucked in the tram in traffic jam :), I'm using my PDA phone to solve some business, especially creating new

tickets from client's emails. Redmine works in Pocket IE or Opera (preferred), but special light-weight CSS optimized for mobiles

would be very appreciated.

Anyone else interested? I'm total lamer in Ruby, but I can try to modify CSS.

Related issues:

Has duplicate Redmine - Feature #1277: Add iPhone specific view Closed 2008-05-21

Is duplicate of Redmine - Feature #19097: Responsive layout for mobile devices Closed

History

#1 - 2008-03-19 18:26 - Mathias S

I like the idea a lot as well. I'm no Ruby-Coder either but would be glad to support the CSS-Tasks as soon as I have time.

#2 - 2008-03-21 09:34 - Maxim Krušina

I can't assign ticket to me, here, but we're starting to create Mobile CSS, hurrah!

#3 - 2008-04-12 00:02 - Maxim Krušina

- Status changed from New to 7

- Assignee set to Maxim Krušina

#4 - 2009-05-28 08:32 - Tobias Sturesson

Are there any news on this?

Would be a really exciting feature!!!

#5 - 2010-04-28 13:53 - Oleg Lozinskij

+1

#6 - 2011-02-18 14:44 - Fernando Hartmann

+1

#7 - 2011-03-04 22:52 - John Bigler

Any news ? I'm longing for this ;-)

#8 - 2011-08-11 23:54 - Aleksey Dubov

+1

#9 - 2011-08-12 09:44 - Terence Mill

here some plugins:

Android

izardroid
http://www.appbrain.com/app/izardroid/com.izar


RedDroid

iPhone

redminepro#

iredmine

#10 - 2011-12-14 11:24 - Simen Endsjø

Any updates here?

#11 - 2012-01-28 22:49 - Predrag Radovic

- File application_handheld_css.diff added

- File base_layout_kindle_handheld_support.diff added

Very basic (font-size) patches for handheld CSS (like Kindle Touch) are attached.

#12 - 2012-03-06 00:45 - Fabio Vasco

+1

Any update?

#13 - 2012-12-04 18:33 - Raphael Kallensee

I think the best option would be to make the default theme more responsive (in sense of Responsive Webdesign). This shouldn't be too much work,

but require some template/CSS/JS changes.

A great first step is the "Redmine Responsive Design Theme" from Xander Dumaine. He described it in a blog post and he has a Redmine project

where the sources can be found (his Redmine installation also uses his theme, so you can try it out over there).

#14 - 2013-01-13 21:05 - Jean-Philippe Lang

- Status changed from 7 to New

- Assignee deleted (Maxim Krušina)

#15 - 2013-03-19 21:17 - Daniel Felix

A newer approach to solve this, would be the usage of media queries.

With this technology, there's a good way to customize the display of Redmine depending on the window width.

This implementation won't be easy, as there are many rules which needs to be tweaked.

#16 - 2013-11-11 06:04 - Maxime Vez

+1 for a native responsive design theme in Redmine, so we can access it from all form factor devices.

#17 - 2013-11-21 10:58 - Robert Barnebeck

+1 Would be great!

#18 - 2013-11-26 09:35 - Toshiya TSURU

+1

#19 - 2013-12-09 14:07 - Jonas Halbe

+1 !

#20 - 2013-12-10 17:00 - Anonymous

+2

#21 - 2014-01-20 16:04 - Huang Ruhua

+1

#22 - 2014-02-19 09:12 - Christian Dähn

Update:

URL changed: http://xdumaine.com/responsive-design/

#23 - 2014-06-02 13:51 - Andriy Lesyuk

Hi! I added support for the responsive layout to my Red-Andy theme. Please check.
http://vhqlabs.com/Product/RedMinerDroid
http://itunes.apple.com/us/app/redminepro/id415596033?mt=8&ls=1
http://iredmine.weisshuhn.de/
http://en.wikipedia.org/wiki/Responsive_web_design
http://xdumaine.com/projects/redmine-responsive-design/
http://redmine.xdumaine.com/projects/redmine-responsive-theme
http://xdumaine.com/responsive-design/
http://projects.andriylesyuk.com/project/redmine/themes/red-andy


#24 - 2014-06-29 13:02 - Toshi MARUYAMA

- Related to Feature #13842: Support mobile phone users better added

#25 - 2015-02-26 15:52 - Jan from Planio www.plan.io

- Related to Feature #19097: Responsive layout for mobile devices added

#26 - 2015-11-09 18:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Try #19097.

#27 - 2015-11-09 18:03 - Toshi MARUYAMA

- Related to deleted (Feature #19097: Responsive layout for mobile devices)

#28 - 2015-11-09 18:04 - Toshi MARUYAMA

- Related to deleted (Feature #13842: Support mobile phone users better)

#29 - 2015-11-09 18:07 - Toshi MARUYAMA

- Is duplicate of Feature #19097: Responsive layout for mobile devices added

Files

application_handheld_css.diff 928 Bytes 2012-01-28 Predrag Radovic

base_layout_kindle_handheld_support.diff 596 Bytes 2012-01-28 Predrag Radovic
